Page MenuHomePhabricator

Embedded TMH points to incorrect thumbnail URLs
Closed, ResolvedPublic

Description

Seen here:

https://phabricator.wikimedia.org/phame/live/7/post/117/performance_testing_in_a_controlled_lab_environment_-_the_metrics/

If you look at the thumbnail URL inside the player, its:

https://upload.wikimedia.org/wikipedia/commons/thumb/6/66/Sweden_article_on_enwiki_loaded_in_Chrome_using_Browsertime%2C_recorded_using_FFMpeg.webm/mid-Sweden_article_on_enwiki_loaded_in_Chrome_using_Browsertime%2C_recorded_using_FFMpeg.webm.jpg

I've never seen the mid- prefix on a thumbnail before, which is why I believe it's an issue coming from the embedded player. It should be an actual size like 640px-. Could be an issue with the embed code as it's generated by Phabricator, but I doubt it.

Event Timeline

Gilles created this task.Sep 21 2018, 2:37 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 21 2018, 2:37 PM
Gilles added a subscriber: Peter.Sep 21 2018, 2:37 PM
brion moved this task from Backlog to Kaltura/MwEmbed on the Kaltura player board.Oct 1 2018, 5:10 PM
TheDJ added a subscriber: TheDJ.Oct 3 2018, 1:45 PM

wasn't mid (middle of the video), the 'default' thumb time offset?
Might be this only gets hit in foreignapi or iframe situations these days...

Hmm: https://gerrit.wikimedia.org/g/mediawiki/extensions/TimedMediaHandler/+/46c42ff27e284c933687c45fbf88a51817f9df93/includes/TimedMediaHandler.php#92

TheDJ added a comment.Oct 3 2018, 1:47 PM

So when there is no defined width, nor a defined offset, this path gets hit. So possibly triggered due to T138771: TMH iframe embed code doesn't pass width/height, doesn't create thumb/poster image unless 404 handler active.

Gilles claimed this task.Oct 3 2018, 8:39 PM

The midpoint is already the default when no seek parameter is specified. And indeed, I believe that my recent commit on the other task should fix the lack of thumbnail for embedded TMH.

TheDJ added a comment.Oct 3 2018, 9:48 PM

@Gilles maybe we should get rid of that mid code alltogether though, otherwise might come back to haunt is again at some point.

Sure, I wanted to make sure that my fix works before deleting a whole bunch of code. That's why my changeset didn't include the deletion of the mid- stuff.

Aklapper closed this task as Resolved.EditedOct 19 2018, 4:37 AM

Link in task description works now here (Firefox 62 on Linux).

So I'm not sure if the subtask should really be a subtask.